Bug 1285833 - [abrt] gitg: kh_get_oid(): gitg killed by SIGSEGV
[abrt] gitg: kh_get_oid(): gitg killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gitg (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ed5f32f00cb929a6e8f1fcc90de...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 10:40 EST by Maël Lavault
Modified: 2016-12-20 11:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:19:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (155.41 KB, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: core_backtrace (24.28 KB, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: dso_list (18.15 KB, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: environ (1.61 KB, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: exploitable (110 bytes, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: maps (102.92 KB, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: mountinfo (3.54 KB, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: open_fds (9.21 KB, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details
File: var_log_messages (234 bytes, text/plain)
2015-11-26 10:40 EST, Maël Lavault
no flags Details

  None (edit)
Description Maël Lavault 2015-11-26 10:40:24 EST
Version-Release number of selected component:
gitg-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gitg --no-wd
crash_function: kh_get_oid
executable:     /usr/bin/gitg
global_pid:     6190
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 kh_get_oid at /usr/src/debug/libgit2-0.23.3/src/cache.c:18
 #1 cache_get at /usr/src/debug/libgit2-0.23.3/src/cache.c:159
 #2 git_cache_get_any at /usr/src/debug/libgit2-0.23.3/src/cache.c:259
 #3 git_object_lookup_prefix at /usr/src/debug/libgit2-0.23.3/src/object.c:141
 #4 git_object_lookup at /usr/src/debug/libgit2-0.23.3/src/object.c:201
 #5 git_commit_lookup at /usr/src/debug/libgit2-0.23.3/src/object_api.c:22
 #6 git_commit_parent at /usr/src/debug/libgit2-0.23.3/src/commit.c:486
 #7 ggit_commit_parents_get at ggit-commit-parents.c:182
 #8 gitg_commit_get_diff at /home/nacho/checkout/gnome/gitg/libgitg/gitg-commit.vala:139
 #9 gitg_diff_view_update at /home/nacho/checkout/gnome/gitg/libgitg/gitg-diff-view.vala:599

Potential duplicate: bug 1136338
Comment 1 Maël Lavault 2015-11-26 10:40:29 EST
Created attachment 1099317 [details]
File: backtrace
Comment 2 Maël Lavault 2015-11-26 10:40:30 EST
Created attachment 1099318 [details]
File: cgroup
Comment 3 Maël Lavault 2015-11-26 10:40:31 EST
Created attachment 1099319 [details]
File: core_backtrace
Comment 4 Maël Lavault 2015-11-26 10:40:33 EST
Created attachment 1099320 [details]
File: dso_list
Comment 5 Maël Lavault 2015-11-26 10:40:34 EST
Created attachment 1099321 [details]
File: environ
Comment 6 Maël Lavault 2015-11-26 10:40:36 EST
Created attachment 1099322 [details]
File: exploitable
Comment 7 Maël Lavault 2015-11-26 10:40:37 EST
Created attachment 1099323 [details]
File: limits
Comment 8 Maël Lavault 2015-11-26 10:40:39 EST
Created attachment 1099324 [details]
File: maps
Comment 9 Maël Lavault 2015-11-26 10:40:40 EST
Created attachment 1099325 [details]
File: mountinfo
Comment 10 Maël Lavault 2015-11-26 10:40:41 EST
Created attachment 1099326 [details]
File: namespaces
Comment 11 Maël Lavault 2015-11-26 10:40:42 EST
Created attachment 1099327 [details]
File: open_fds
Comment 12 Maël Lavault 2015-11-26 10:40:44 EST
Created attachment 1099328 [details]
File: proc_pid_status
Comment 13 Maël Lavault 2015-11-26 10:40:45 EST
Created attachment 1099329 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 08:45:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:19:08 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.